Subject: [PATCH 4/3] gitweb: Update README that gitweb works better with PATH_INFO

From: Jakub Narebski <[email-masked]>
Date: Sun, 1 Feb 2009 22:37:45 +0100

One had to configure gitweb for it to find static files (stylesheets,
images) when using path_info URLs.  Now that it is not necessary
thanks to adding BASE element to HTML head if needed, update README to
reflect this fact.

Signed-off-by: Jakub Narebski <[email-masked]>
---
This is update of gitweb/README to fit state after Giuseppe patches.

There is a little problem either with terminology, or with CGI.pm
module itself. RFC 1808 "Relative Uniform Resource Locators" says
that:
  http://git.example.com/cgi-bin/gitweb.cgi  is absolute URL
  /cgi-bin/gitweb.cgi                        is relative URL
                                            but absolute path
  gitweb.cgi                                 is relative URL
                                            and relative path

while CGI.pm (or, to be more exact, its url() method) says:

  url() or url(-full)  returns http://git.example.com/cgi-bin/gitweb.cgi
  url(-absolute)       returns /cgi-bin/gitweb.cgi
  url(-relative)       returns gitweb.cgi (or /cgi-bin/gitweb.cgi)

That is why I used "Full URL"  for $my_url = $cgi->url();
and "absolute URL" (as before) for $my_uri = $cgi->url(-absolute);
in gitweb/README.

 gitweb/README |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

diff --git a/gitweb/README b/gitweb/README
index 52ad88b..a9dc2e5 100644
--- a/gitweb/README
+++ b/gitweb/README
@@ -162,14 +162,12 @@ not include variables usually directly set during build):
    $GITWEB_LIST during installation.  If empty, $projectroot is used
    to scan for repositories.
  * $my_url, $my_uri
-   URL and absolute URL of gitweb script; you might need to set those
-   variables if you are using 'pathinfo' feature: see also below.
+   Full URL and absolute URL of gitweb script;
+   in earlier versions of gitweb you might have need to set those
+   variables, now there should be no need to do it.
  * $home_link
    Target of the home link on top of all pages (the first part of view
-   "breadcrumbs").  By default set to absolute URI of a page; you might
-   need to set it up to [base] gitweb URI if you use 'pathinfo' feature
-   (alternative format of the URLs, with project name embedded directly
-   in the path part of URL).
+   "breadcrumbs").  By default set to absolute URI of a page ($my_uri).
  * @stylesheets
    List of URIs of stylesheets (relative to base URI of a page). You
    might specify more than one stylesheet, for example use gitweb.css
-- 
1.6.1